Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::Board::Ram

struct Nes::Api::Cartridge::Profile::Board::Ram

RAM chip.

Field Summary
`bool` | `battery` Battery connected to RAM chip.
`std::wstring` | `file` File pointing to RAM chip.
`dword` | `id` RAM chip ID.
`std::wstring` | `package` RAM chip package method.
`Pins` | `pins` RAM chip pins.
`dword` | `size` RAM chip size.

Constructor Summary
`Ram()`

Field Detail

### battery

    public bool battery;

  Battery connected to RAM chip.

### file

    public std::wstring file;

  File pointing to RAM chip.

### id

    public dword id;

  RAM chip ID.

### package

    public std::wstring package;

  RAM chip package method.

### pins

    public Pins pins;

  RAM chip pins.

### size

    public dword size;

  RAM chip size.

Constructor Detail

### Ram

    public Ram() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD